<template>
  <div class="alert" :class="typeClass">
    <slot></slot>
  </div>
</template>

<script setup lang="ts">
import { computed } from 'vue'

interface AlertProps {
  type?: 'success' | 'error' | 'warning' | 'info'
}

const props = defineProps<AlertProps>()

const typeClass = computed(() => {
  switch (props.type) {
    case 'success':
      return 'alert-success'
    case 'error':
      return 'alert-error'
    case 'warning':
      return 'alert-warning'
    case 'info':
    default:
      return 'alert-info'
  }
})
</script>

<style scoped>
.alert {
  padding: 1rem;
  border-radius: 0.5rem;
  margin-bottom: 1rem;
}
.alert-success {
  background-color: #d4edda;
  color: #155724;
}
.alert-error {
  background-color: #f8d7da;
  color: #721c24;
}
.alert-warning {
  background-color: #fff3cd;
  color: #856404;
}
.alert-info {
  background-color: #d1ecf1;
  color: #0c5460;
}
</style>
